package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企业打印列表对象 qy_info_pritn
 *
 * @author ruoyi
 * @date 2020-01-10
 */
public class QyInfoPritn extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 唯一标识
     */
    @Excel(name = "唯一标识")
    private String bsid;

    /**
     * 法人,负责人名称
     */
    @Excel(name = "法人,负责人名称")
    private String frname;

    /**
     * 委托人card
     */
    @Excel(name = "委托人card")
    private String wtrcardno;

    /**
     * 核准号
     */
    @Excel(name = "核准号")
    private String qyhezhun;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    private String qyname;

    /**
     * 企业类别
     */
    @Excel(name = "企业类别")
    private String qylb;

    /**
     * 企业类型
     */
    @Excel(name = "企业类型")
    private String qylx;

    /**
     * 行业
     */
    @Excel(name = "行业")
    private String hangye;

    /**
     * 行业1
     */
    @Excel(name = "行业1")
    private String hangye1;

    /**
     * 行业2
     */
    @Excel(name = "行业2")
    private String hangye2;

    /**
     * 行业3
     */
    @Excel(name = "行业3")
    private String hangye3;

    /**
     * 企业经营范围
     */
    @Excel(name = "企业经营范围")
    private String qyjyfw;

    /**
     * 企业所属
     */
    @Excel(name = "企业所属")
    private String qyss;

    /**
     * 企业经营场所
     */
    @Excel(name = "企业经营场所")
    private String qyjycs;

    /**
     * 企业经营期限
     */
    @Excel(name = "企业经营期限")
    private String qyjyqx;

    /**
     * 年限
     */
    @Excel(name = "年限")
    private String qynx;

    /**
     * 成立日期
     */
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyclrq;

    /**
     * 企业营业期至
     */
    @Excel(name = "企业营业期至", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyyyqz;

    /**
     * 企业注册类型
     */
    @Excel(name = "企业注册类型")
    private String qyzclx;

    /**
     * 企业注册资金
     */
    @Excel(name = "企业注册资金")
    private String qyzczj;

    /**
     * 经营场所产权
     */
    @Excel(name = "经营场所产权")
    private String jycscq;

    /**
     * 经营场所性质
     */
    @Excel(name = "经营场所性质")
    private String jycsxz;

    /**
     * 企业联系电话
     */
    @Excel(name = "企业联系电话")
    private String qylxdh;

    /**
     * 邮箱
     */
    @Excel(name = "邮箱")
    private String qyemail;

    /**
     * 企业共有人数
     */
    @Excel(name = "企业共有人数")
    private String qygyrs;

    /**
     * 从业人数
     */
    @Excel(name = "从业人数")
    private String qycyrs;

    /**
     * 是否军产
     */
    @Excel(name = "是否军产")
    private String isjc;

    /**
     * 邮寄方式
     */
    @Excel(name = "邮寄方式")
    private String qyyoujifs;

    /**
     * 邮寄地址
     */
    @Excel(name = "邮寄地址")
    private String qyyoujiaddress;

    /**
     * null
     */
    @Excel(name = "null")
    private String flg;

    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 审核时间
     */
    @Excel(name = "审核时间")
    private Date shenhedate;

    /**
     * 退回日志
     */
    @Excel(name = "退回日志")
    private String shenhenote;

    /**
     * 审核人姓名
     */
    @Excel(name = "审核人姓名")
    private String shenhename;

    /**
     * 审核人
     */
    @Excel(name = "审核人")
    private String shenhenameid;

    /**
     * 是否打印副本
     */
    @Excel(name = "是否打印副本")
    private String isprintZ;

    /**
     * 正本打印时间
     */
    @Excel(name = "正本打印时间")
    private Date printzdate;

    /**
     * 是否打印副本
     */
    @Excel(name = "是否打印副本")
    private String isprintF;

    /**
     * 打印时间
     */
    @Excel(name = "打印时间")
    private Date printfdate;

    /**
     * 来源
     */
    @Excel(name = "来源")
    private String laiyuan;

    /**
     * null
     */
    @Excel(name = "null")
    private Long isdel;

    /**
     * ZzCode
     */
    @Excel(name = "ZzCode")
    private String zzcode;

    /**
     * 信用代码
     */
    @Excel(name = "信用代码")
    private String xinyongcode;

    /**
     * 书文号
     */
    @Excel(name = "书文号")
    private String shuwenhao;

    /**
     * 注册号
     */
    @Excel(name = "注册号")
    private String zhucehao;

    /**
     * 二维码
     */
    @Excel(name = "二维码")
    private String erweimabase64;

    /**
     * 领取人姓名
     */
    @Excel(name = "领取人姓名")
    private String lqrname;

    /**
     * 领取人身份证
     */
    @Excel(name = "领取人身份证")
    private String lqrcardno;

    /**
     * 领取人电话
     */
    @Excel(name = "领取人电话")
    private String lqrphone;

    /**
     * 领取人签名
     */
    @Excel(name = "领取人签名")
    private String lqrqianming;

    /**
     * 领取人拍照
     */
    @Excel(name = "领取人拍照")
    private String lqrphoto;

    /**
     * 领取时间
     */
    @Excel(name = "领取时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lqdate;


    /** 打印机名称 */
    @Excel(name = "打印机名称")
    private String printytjname;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBsid(String bsid) {
        this.bsid = bsid;
    }

    public String getBsid() {
        return bsid;
    }

    public void setFrname(String frname) {
        this.frname = frname;
    }

    public String getFrname() {
        return frname;
    }

    public void setWtrcardno(String wtrcardno) {
        this.wtrcardno = wtrcardno;
    }

    public String getWtrcardno() {
        return wtrcardno;
    }

    public void setQyhezhun(String qyhezhun) {
        this.qyhezhun = qyhezhun;
    }

    public String getQyhezhun() {
        return qyhezhun;
    }

    public void setQyname(String qyname) {
        this.qyname = qyname;
    }

    public String getQyname() {
        return qyname;
    }

    public void setQylb(String qylb) {
        this.qylb = qylb;
    }

    public String getQylb() {
        return qylb;
    }

    public void setQylx(String qylx) {
        this.qylx = qylx;
    }

    public String getQylx() {
        return qylx;
    }

    public void setHangye(String hangye) {
        this.hangye = hangye;
    }

    public String getHangye() {
        return hangye;
    }

    public void setHangye1(String hangye1) {
        this.hangye1 = hangye1;
    }

    public String getHangye1() {
        return hangye1;
    }

    public void setHangye2(String hangye2) {
        this.hangye2 = hangye2;
    }

    public String getHangye2() {
        return hangye2;
    }

    public void setHangye3(String hangye3) {
        this.hangye3 = hangye3;
    }

    public String getHangye3() {
        return hangye3;
    }

    public void setQyjyfw(String qyjyfw) {
        this.qyjyfw = qyjyfw;
    }

    public String getQyjyfw() {
        return qyjyfw;
    }

    public void setQyss(String qyss) {
        this.qyss = qyss;
    }

    public String getQyss() {
        return qyss;
    }

    public void setQyjycs(String qyjycs) {
        this.qyjycs = qyjycs;
    }

    public String getQyjycs() {
        return qyjycs;
    }

    public void setQyjyqx(String qyjyqx) {
        this.qyjyqx = qyjyqx;
    }

    public String getQyjyqx() {
        return qyjyqx;
    }

    public void setQynx(String qynx) {
        this.qynx = qynx;
    }

    public String getQynx() {
        return qynx;
    }

    public void setQyclrq(Date qyclrq) {
        this.qyclrq = qyclrq;
    }

    public Date getQyclrq() {
        return qyclrq;
    }

    public void setQyyyqz(Date qyyyqz) {
        this.qyyyqz = qyyyqz;
    }

    public Date getQyyyqz() {
        return qyyyqz;
    }

    public void setQyzclx(String qyzclx) {
        this.qyzclx = qyzclx;
    }

    public String getQyzclx() {
        return qyzclx;
    }

    public void setQyzczj(String qyzczj) {
        this.qyzczj = qyzczj;
    }

    public String getQyzczj() {
        return qyzczj;
    }

    public void setJycscq(String jycscq) {
        this.jycscq = jycscq;
    }

    public String getJycscq() {
        return jycscq;
    }

    public void setJycsxz(String jycsxz) {
        this.jycsxz = jycsxz;
    }

    public String getJycsxz() {
        return jycsxz;
    }

    public void setQylxdh(String qylxdh) {
        this.qylxdh = qylxdh;
    }

    public String getQylxdh() {
        return qylxdh;
    }

    public void setQyemail(String qyemail) {
        this.qyemail = qyemail;
    }

    public String getQyemail() {
        return qyemail;
    }

    public void setQygyrs(String qygyrs) {
        this.qygyrs = qygyrs;
    }

    public String getQygyrs() {
        return qygyrs;
    }

    public void setQycyrs(String qycyrs) {
        this.qycyrs = qycyrs;
    }

    public String getQycyrs() {
        return qycyrs;
    }

    public void setIsjc(String isjc) {
        this.isjc = isjc;
    }

    public String getIsjc() {
        return isjc;
    }

    public void setQyyoujifs(String qyyoujifs) {
        this.qyyoujifs = qyyoujifs;
    }

    public String getQyyoujifs() {
        return qyyoujifs;
    }

    public void setQyyoujiaddress(String qyyoujiaddress) {
        this.qyyoujiaddress = qyyoujiaddress;
    }

    public String getQyyoujiaddress() {
        return qyyoujiaddress;
    }

    public void setFlg(String flg) {
        this.flg = flg;
    }

    public String getFlg() {
        return flg;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setShenhedate(Date shenhedate) {
        this.shenhedate = shenhedate;
    }

    public Date getShenhedate() {
        return shenhedate;
    }

    public void setShenhenote(String shenhenote) {
        this.shenhenote = shenhenote;
    }

    public String getShenhenote() {
        return shenhenote;
    }

    public void setShenhename(String shenhename) {
        this.shenhename = shenhename;
    }

    public String getShenhename() {
        return shenhename;
    }

    public void setShenhenameid(String shenhenameid) {
        this.shenhenameid = shenhenameid;
    }

    public String getShenhenameid() {
        return shenhenameid;
    }

    public void setIsprintZ(String isprintZ) {
        this.isprintZ = isprintZ;
    }

    public String getIsprintZ() {
        return isprintZ;
    }

    public void setPrintzdate(Date printzdate) {
        this.printzdate = printzdate;
    }

    public Date getPrintzdate() {
        return printzdate;
    }

    public void setIsprintF(String isprintF) {
        this.isprintF = isprintF;
    }

    public String getIsprintF() {
        return isprintF;
    }
    public void setPrintytjname(String printytjname)
    {
        this.printytjname = printytjname;
    }

    public String getPrintytjname()
    {
        return printytjname;
    }
    public void setPrintfdate(Date printfdate) {
        this.printfdate = printfdate;
    }

    public Date getPrintfdate() {
        return printfdate;
    }

    public void setLaiyuan(String laiyuan) {
        this.laiyuan = laiyuan;
    }

    public String getLaiyuan() {
        return laiyuan;
    }

    public void setIsdel(Long isdel) {
        this.isdel = isdel;
    }

    public Long getIsdel() {
        return isdel;
    }

    public void setXinyongcode(String xinyongcode) {
        this.xinyongcode = xinyongcode;
    }

    public String getXinyongcode() {
        return xinyongcode;
    }

    public void setShuwenhao(String shuwenhao) {
        this.shuwenhao = shuwenhao;
    }

    public String getShuwenhao() {
        return shuwenhao;
    }

    public void setZhucehao(String zhucehao) {
        this.zhucehao = zhucehao;
    }

    public String getZhucehao() {
        return zhucehao;
    }

    public void setErweimabase64(String erweimabase64) {
        this.erweimabase64 = erweimabase64;
    }

    public String getErweimabase64() {
        return erweimabase64;
    }

    public void setLqrname(String lqrname) {
        this.lqrname = lqrname;
    }

    public String getLqrname() {
        return lqrname;
    }

    public void setLqrcardno(String lqrcardno) {
        this.lqrcardno = lqrcardno;
    }

    public String getLqrcardno() {
        return lqrcardno;
    }

    public void setLqrphone(String lqrphone) {
        this.lqrphone = lqrphone;
    }

    public String getLqrphone() {
        return lqrphone;
    }

    public void setLqrqianming(String lqrqianming) {
        this.lqrqianming = lqrqianming;
    }

    public String getLqrqianming() {
        return lqrqianming;
    }

    public void setLqrphoto(String lqrphoto) {
        this.lqrphoto = lqrphoto;
    }

    public String getLqrphoto() {
        return lqrphoto;
    }

    public void setLqdate(Date lqdate) {
        this.lqdate = lqdate;
    }

    public Date getLqdate() {
        return lqdate;
    }

    public void setZzcode(String zzcode) {
        this.zzcode = zzcode;
    }

    public String getZzcode() {
        return zzcode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("bsid", getBsid())
                .append("frname", getFrname())
                .append("wtrcardno", getWtrcardno())
                .append("qyhezhun", getQyhezhun())
                .append("qyname", getQyname())
                .append("qylb", getQylb())
                .append("qylx", getQylx())
                .append("hangye", getHangye())
                .append("hangye1", getHangye1())
                .append("hangye2", getHangye2())
                .append("hangye3", getHangye3())
                .append("qyjyfw", getQyjyfw())
                .append("qyss", getQyss())
                .append("qyjycs", getQyjycs())
                .append("qyjyqx", getQyjyqx())
                .append("qynx", getQynx())
                .append("qyclrq", getQyclrq())
                .append("qyyyqz", getQyyyqz())
                .append("qyzclx", getQyzclx())
                .append("qyzczj", getQyzczj())
                .append("jycscq", getJycscq())
                .append("jycsxz", getJycsxz())
                .append("qylxdh", getQylxdh())
                .append("qyemail", getQyemail())
                .append("qygyrs", getQygyrs())
                .append("qycyrs", getQycyrs())
                .append("isjc", getIsjc())
                .append("qyyoujifs", getQyyoujifs())
                .append("qyyoujiaddress", getQyyoujiaddress())
                .append("flg", getFlg())
                .append("createdate", getCreatedate())
                .append("shenhedate", getShenhedate())
                .append("shenhenote", getShenhenote())
                .append("shenhename", getShenhename())
                .append("shenhenameid", getShenhenameid())
                .append("isprintZ", getIsprintZ())
                .append("printzdate", getPrintzdate())
                .append("isprintF", getIsprintF())
                .append("printfdate", getPrintfdate())
                .append("laiyuan", getLaiyuan())
                .append("isdel", getIsdel())
                .append("xinyongcode", getXinyongcode())
                .append("shuwenhao", getShuwenhao())
                .append("zhucehao", getZhucehao())
                .append("erweimabase64", getErweimabase64())
                .append("lqrname", getLqrname())
                .append("printytjname", getPrintytjname())
                .append("lqrcardno", getLqrcardno())
                .append("lqrphone", getLqrphone())
                .append("lqrqianming", getLqrqianming())
                .append("lqrphoto", getLqrphoto())
                .append("lqdate", getLqdate())
                .append("zzcode", getZzcode())
                .toString();
    }
}
